## mypy 0.761

=== debian/changelog ===
mypy (0.761-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:15 +0100

mypy (0.761-1) unstable; urgency=medium

  * Demote riscv64 to -O0
  * Demote hppa to -O2
  * New upstream version
  * Remove stubgen-fix.patch, it was applied upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 01 Jan 2020 22:04:59 +0100

mypy (0.750-1) unstable; urgency=low

  * Give up trying to build on the alpha architecture, switch to pure Python
    there.
  * Demote riscv64 to -O1 and m68k to -O0
  * Prepare for coming Python3.8 transition and run the tests using all
    installed Python versions.
  * New upstream version
  * debian/patches/stubgen-fix.patch: Pull a fix from upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 01 Dec 2019 13:00:56 +0100

mypy (0.740-6) unstable; urgency=medium

  * As MYPYC enabled builds are not working on mips64el, mipsel, ia64, powerpc, or
    sh4 then don't compile to C on those platforms.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 29 Oct 2019 20:49:18 +0100

=== debian/control ===
Source: mypy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: utils
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               flake8,
               help2man,
               python3-all,
               python3-lxml,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-typed-ast (>= 1.4.0),
               python3-typed-ast (<< 1.5.0),
               python3-psutil (>= 5.4.0),
               python3-mypy-extensions,
               python3-typing-extensions,
               python3-virtualenv <!nocheck>,
               python3-all-dev,
               python3-importlib-metadata [ppc64 riscv64 x32]
# Don't know why those architectures aren't pulling in the python3-importlib-metadata package automatically
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/mypy
Vcs-Git: https://salsa.debian.org/med-team/mypy.git
Homepage: http://www.mypy-lang.org/

Package: mypy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-mypy (>= ${binary:Version})
Suggests: mypy-doc
Breaks: python3-mypy (= 0.740-1)
Replaces: python3-mypy (= 0.740-1)
Description: optional static typing for Python
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the command-line interface.

Package: mypy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for mypy
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: python3-mypy
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-typed-ast,
         python3-mypy-extensions,
         python3-psutil,
         python3-distutils,
         python3-pkg-resources
Recommends: python3-lxml
Breaks: mypy (<< 0.540-2),
        cwltool (<< 1.0.20181217162649+dfsg-9)
Replaces: mypy (<< 0.540-2)
Description: public modules for mypy (Python 3)
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
SHELL=bash  # needed for the <(echo …) process subsitution temporary file
            # tricks with help2man
export DH_VERBOSE=1
export PYBUILD_DESTDIR_python3=debian/python3-mypy
export PYBUILD_NAME=mypy
PY3VERS=$(shell py3versions -vr)

include /usr/share/dpkg/pkg-info.mk
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	WITH += ,sphinxdoc
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk
ifneq (,$(filter $(DEB_BUILD_ARCH),hppa))
  export MYPYC_OPT_LEVEL=2
else ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf))
  export MYPYC_OPT_LEVEL=1
else ifneq (,$(filter $(DEB_BUILD_ARCH),m68k riscv64))
  export MYPYC_OPT_LEVEL=0
endif


%:
	dh $@ --with python3$(WITH) --buildsystem=pybuild

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
manpages: debian/dmypy.1 debian/mypy.1 debian/stubgen.1
else
manpages:
endif

debian/%.1: debian/%.rst debian/%_options.rst
	rst2man $< > $@

# create an empty file to simplify the makefile logic
debian/dmypy_options.rst:
	touch $@

debian/mypy_options.rst: docs/source/command_line.rst
	sed 's,The .* command line,OPTIONS,g' $< > $@

debian/stubgen_options.rst: docs/source/stubgen.rst
	sed -n -e '/stubgen --help/,$$ {/stubgen --help/d; p}' $< > $@

override_dh_auto_build: manpages
ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el mipsel alpha ia64 powerpc sh4))
	MYPY_USE_MYPYC=0 dh_auto_build
else
	MYPY_USE_MYPYC=1 dh_auto_build
endif
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=mypy --sourcedir=debian/python3-mypy usr/bin
	rm -Rf debian/python3-mypy/usr/bin

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	export TEST_MYPYC=1
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} -m mypy \
		--config-file {dir}/mypy_self_check.ini -p mypy" dh_auto_test
	dh_auto_install
	set -e; for v in $(PY3VERS); do \
		PATH=$$PATH:$(CURDIR)/debian/mypy/usr/bin/ python$$v -m pytest -n auto \
		-o testpaths=mypy/test -o python_files=test*.py \
		-o python_classes= -o python_functions=; \
	done
endif

.PHONY: manpages

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mypy/mypy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mypy 0.770

=== debian/changelog ===
mypy (0.770-2) unstable; urgency=medium

  [ Etienne Mollier ]
  * Moved from rst2man to sphinx-build.  Closes: #952757

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 08 Apr 2020 10:11:42 +0200

mypy (0.770-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Demote sh4, sparc64, riscv64, and m68k to python only
  * Skip fragile test
  * debian/upstream/metadata: fix/add
    Repository{,-Browse},Bug-{Database,Submit{

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 04 Apr 2020 09:58:24 +0200

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,8 @@
                python3-mypy-extensions,
                python3-typing-extensions,
                python3-virtualenv <!nocheck>,
-               python3-all-dev,
-               python3-importlib-metadata [ppc64 riscv64 x32]
-# Don't know why those architectures aren't pulling in the python3-importlib-metadata package automatically
-Standards-Version: 4.4.0
+               python3-all-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/mypy
 Vcs-Git: https://salsa.debian.org/med-team/mypy.git
 Homepage: http://www.mypy-lang.org/

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,6 @@
   export MYPYC_OPT_LEVEL=2
 else ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf))
   export MYPYC_OPT_LEVEL=1
-else ifneq (,$(filter $(DEB_BUILD_ARCH),m68k riscv64))
-  export MYPYC_OPT_LEVEL=0
 endif
 
 
@@ -31,21 +29,21 @@
 manpages:
 endif
 
-debian/%.1: debian/%.rst debian/%_options.rst
-	rst2man $< > $@
+debian/%.1: debian/sphinx/%.rst debian/sphinx/%_options.rst
+	sphinx-build -N -b man debian/sphinx debian $<
 
 # create an empty file to simplify the makefile logic
-debian/dmypy_options.rst:
+debian/sphinx/dmypy_options.rst:
 	touch $@
 
-debian/mypy_options.rst: docs/source/command_line.rst
+debian/sphinx/mypy_options.rst: docs/source/command_line.rst
 	sed 's,The .* command line,OPTIONS,g' $< > $@
 
-debian/stubgen_options.rst: docs/source/stubgen.rst
+debian/sphinx/stubgen_options.rst: docs/source/stubgen.rst
 	sed -n -e '/stubgen --help/,$$ {/stubgen --help/d; p}' $< > $@
 
 override_dh_auto_build: manpages
-ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el mipsel alpha ia64 powerpc sh4))
+ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el mipsel alpha ia64 m68k powerpc riscv64 sh4 sparc64))
 	MYPY_USE_MYPYC=0 dh_auto_build
 else
 	MYPY_USE_MYPYC=1 dh_auto_build
@@ -58,6 +56,10 @@
 	dh_auto_clean
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 	$(MAKE) -C docs clean
+	rm -rf debian/.doctrees
+	rm -f  debian/sphinx/dmypy_options.rst
+	rm -f  debian/sphinx/mypy_options.rst
+	rm -f  debian/sphinx/stubgen_options.rst
 endif
 
 override_dh_auto_install:
@@ -75,6 +77,7 @@
 	set -e; for v in $(PY3VERS); do \
 		PATH=$$PATH:$(CURDIR)/debian/mypy/usr/bin/ python$$v -m pytest -n auto \
 		-o testpaths=mypy/test -o python_files=test*.py \
+		-k "not StubtestMiscUnit" \
 		-o python_classes= -o python_functions=; \
 	done
 endif

## mypy 0.781

=== debian/changelog ===
mypy (0.781-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: remove file mention that is no longer distributed by
    upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 19 Jun 2020 19:04:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: mypy
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: utils
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -26,6 +26,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/mypy
 Vcs-Git: https://salsa.debian.org/med-team/mypy.git
 Homepage: http://www.mypy-lang.org/
+Rules-Requires-Root: no
 
 Package: mypy
 Architecture: all

## mypy 0.782

=== debian/changelog ===
mypy (0.782-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * debian/patches/proper_plugin: removed as upstream fixed their sdist
    courtesy of a patch from Debian

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 29 Jun 2020 11:36:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: utils
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                flake8,
                help2man,

## mypy 0.800

=== debian/changelog ===
mypy (0.800-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches, deleting several.
  * Update autopkgtests for pytest 6.x compatability.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 22 Jan 2021 15:50:22 +0100

mypy (0.790-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * watch file standard 4 (routine-update)
  * Do not hardcode Python3.8
    Closes: #976779

 -- Andreas Tille <tille@debian.org>  Tue, 08 Dec 2020 21:40:01 +0100

mypy (0.790-2) unstable; urgency=medium

  * debian/patches/py39: from upstream to support Python 3.9
  * debian/rules: skip the tests on Python3.9 as python3-lxml needs a rebuild

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 14 Oct 2020 12:31:21 +0200

mypy (0.790-1) unstable; urgency=medium

  * New upstream version
  * debian/patches/ignore_mypyc: refreshed
  * debian/patches/mypyc_analysis: add files accidently left out of upstream's
    tarball
    Closes: #972013
  * Disable self test until pytest >= 6.0 is in Debian

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 14 Oct 2020 10:33:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -70,9 +70,10 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
 	export TEST_MYPYC=1
-	PYBUILD_SYSTEM=custom \
-		PYBUILD_TEST_ARGS="{interpreter} -m mypy \
-		--config-file {dir}/mypy_self_check.ini -p mypy" dh_auto_test
+	# PYBUILD_SYSTEM=custom \
+	# 	PYBUILD_TEST_ARGS="{interpreter} -m mypy \
+	# 	--config-file {dir}/mypy_self_check.ini -p mypy" dh_auto_test
+	# ^^^ requires pytest > 6.0.0
 	dh_auto_install
 	set -e; for v in $(PY3VERS); do \
 		PATH=$$PATH:$(CURDIR)/debian/mypy/usr/bin/ python$$v -m pytest -n auto \

## mypy 0.812

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Mypy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Mypy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Mypy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Mypy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
mypy (0.812-1) unstable; urgency=medium

  * New upstream version:
    "This release fixes a regression in module finding behavior and adds the
     --exclude flag for excluding certain paths when searching for modules."

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Feb 2021 10:14:09 +0100

mypy (0.800-2) unstable; urgency=medium

  * armel: Lower to -O0.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 23 Jan 2021 12:43:21 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3-typing-extensions,
                python3-virtualenv <!nocheck>,
                python3-all-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/mypy
 Vcs-Git: https://salsa.debian.org/med-team/mypy.git
 Homepage: http://www.mypy-lang.org/

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,10 @@
 include /usr/share/dpkg/default.mk
 ifneq (,$(filter $(DEB_BUILD_ARCH),hppa))
   export MYPYC_OPT_LEVEL=2
-else ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf))
+else ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
   export MYPYC_OPT_LEVEL=1
+else ifneq (,$(filter $(DEB_BUILD_ARCH),armel))
+  export MYPYC_OPT_LEVEL=0
 endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: mypy, python3-pytest-xdist, python3-virtualenv, python3-lxml
Restrictions: allow-stderr

## mypy 0.930

=== debian/changelog ===
mypy (0.930-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Move package to Debian Python Team

  [ Michael R. Crusoe ]
  * New upstream version
  * Refresh patches
  * debian/patches/mypyc_fix: new patch as per upstream suggestion
  * debian/{rules,tests/run-unit-test}: skip fewer tests

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 27 Dec 2021 10:16:35 +0100

mypy (0.921-1) unstable; urgency=medium

  * New upstream version
  * debian/rules: skip testErrorOutput for now
  * debian/patches/python3.10.1{,_part2}: cherry-pick patches from upstream
    for Python 3.10.1 compat.
  * debian/control: add tomli build-dep
  * debian/patches: small refresh

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Dec 2021 21:04:13 +0100

mypy (0.910-4) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Build-Depends/autopkgtest: replace python3-types-* with python3-typeshed
    (Closes: #999479)
  * Recommend python3-typeshed
  * Don't ignore typing for psutil (now provided by typeshed)

  [ Andreas Tille ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-typed-ast.

 -- Andreas Tille <tille@debian.org>  Sat, 13 Nov 2021 07:32:09 +0100

mypy (0.910-3) unstable; urgency=medium

  * 32 bit systems: compile with -g1 instead of other approaches; fix courtesy
    of Adrian Bunk <bunk@debian.org>
    Closes: #988469
  * Autopkgtests: skip the self-test for this release (but not the main
    test suite).

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Oct 2021 10:33:52 +0200

mypy (0.910-2) unstable; urgency=medium

  * skip known failing tests on 32-bit systems.
  * -docs: link to the relevant Debian -doc packages
  * indep builds now skip compiling mypy

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Sep 2021 17:07:23 +0200

mypy (0.910-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Add build-dep on python3-types-{toml,typed-ast}

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Sep 2021 13:27:25 +0200

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_DESTDIR_python3=debian/python3-mypy
export PYBUILD_NAME=mypy
PY3VERS=$(shell py3versions -vr)

include /usr/share/dpkg/pkg-info.mk
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	WITH += ,sphinxdoc
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk

ifneq (,$(filter $(DEB_BUILD_ARCH),hppa))
  export MYPYC_OPT_LEVEL=2
else ifeq ($(DEB_HOST_ARCH_BITS), 32)
  export DEB_CFLAGS_MAINT_APPEND += -g1
  export DEB_CXXFLAGS_MAINT_APPEND += -g1
endif


%:
	dh $@ --with python3$(WITH) --buildsystem=pybuild

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
manpages: debian/sphinx/mypy_options.rst debian/sphinx/stubgen_options.rst debian/dmypy.1 debian/mypy.1 debian/stubgen.1
else
manpages:
endif

debian/%.1: debian/sphinx/%.rst debian/sphinx/%_options.rst
	sphinx-build -N -b man debian/sphinx debian $<

# create an empty file to simplify the makefile logic
debian/sphinx/dmypy_options.rst:
	touch $@

debian/sphinx/mypy_options.rst: docs/source/command_line.rst
	sed 's,The .* command line,OPTIONS,g' $< > $@

debian/sphinx/stubgen_options.rst: docs/source/stubgen.rst
	sed -n -e '/stubgen --help/,$$ {/stubgen --help/d; p}' $< > $@

override_dh_auto_build-arch:
ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el mipsel alpha ia64 m68k powerpc riscv64 sh4 sparc64))
	MYPY_USE_MYPYC=0 dh_auto_build
else
	MYPY_USE_MYPYC=1 dh_auto_build
endif

override_dh_auto_build-indep: manpages
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif


override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
	rm -rf debian/.doctrees
	rm -f  debian/sphinx/dmypy_options.rst
	rm -f  debian/sphinx/mypy_options.rst
	rm -f  debian/sphinx/stubgen_options.rst
endif

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=mypy --sourcedir=debian/python3-mypy usr/bin
	rm -Rf debian/python3-mypy/usr/bin

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	export TEST_MYPYC=1
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} -m mypy \
		--config-file {dir}/mypy_self_check.ini -p mypy" dh_auto_test
	dh_auto_install
	set -e; for v in $(PY3VERS); do \
		PYTHONPATH=$$(pybuild --print build_dir --pyver $$v | awk '{ print $$3 }') PATH=$$PATH:$(CURDIR)/debian/python3-mypy/usr/bin/ python$$v -m pytest -n auto \
		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py \
		-k "not (StubtestMiscUnit or StubtestUnit)" \
		-o python_classes= -o python_functions= ; \
	done
endif

.PHONY: manpages

## mypy 0.931

=== debian/changelog ===
mypy (0.931-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:48:00 +0000

mypy (0.931-1) unstable; urgency=medium

  * New upstream version
  * Remove mypc_fix, was incorporated upstream.
  * Skip some tests due to 64-bit assumptions. Closes: #1002909

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 10 Jan 2022 10:42:31 +0100

## mypy 0.942

=== debian/changelog ===
mypy (0.942-1ubuntu1) jammy; urgency=medium

  * Backport error filtering and walrus test fixes from 0.971-1 in
    kinetic to avoid test failure and FTBFS with Python 3.10.6
    (LP: #1988862)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 07 Sep 2022 07:01:48 +0000

mypy (0.942-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream version
  * Patch: Python 3.10.3 support. Closes: #1008259

  [ Michael R. Crusoe ]
  * Drop the python 3.10.1 patch, no longer needed

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Apr 2022 22:07:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mypy
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: utils
 Testsuite: autopkgtest-pkg-python
@@ -15,16 +16,23 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-typed-ast (>= 1.4.0),
+               python3-typed-ast,
                python3-typed-ast (<< 1.5.0),
-               python3-psutil (>= 5.4.0),
+               python3-typeshed,
+               python3-psutil,
                python3-mypy-extensions,
                python3-typing-extensions,
                python3-virtualenv <!nocheck>,
-               python3-all-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/med-team/mypy
-Vcs-Git: https://salsa.debian.org/med-team/mypy.git
+               python3-all-dev,
+               python3-tomli,
+               python3-doc <!nodoc>,
+               cython-doc <!nodoc>,
+               python-six-doc <!nodoc>,
+               python-setuptools-doc <!nodoc>,
+               python-attr-doc <!nodoc>
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
+Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
 Homepage: http://www.mypy-lang.org/
 Rules-Requires-Root: no
 
@@ -36,6 +44,7 @@
 Suggests: mypy-doc
 Breaks: python3-mypy (= 0.740-1)
 Replaces: python3-mypy (= 0.740-1)
+Recommends: python3-typeshed
 Description: optional static typing for Python
  Add type annotations to your Python programs, and use mypy to type check them.
  Mypy is essentially a Python linter on steroids, and it can catch many
@@ -50,6 +59,11 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Suggests: python3-doc,
+          cython-doc,
+          python-six-doc,
+          python-setuptools-doc,
+          python-attr-doc
 Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation for mypy
  Add type annotations to your Python programs, and use mypy to type check them.
@@ -73,9 +87,6 @@
          python3-distutils,
          python3-pkg-resources
 Recommends: python3-lxml
-Breaks: mypy (<< 0.540-2),
-        cwltool (<< 1.0.20181217162649+dfsg-9)
-Replaces: mypy (<< 0.540-2)
 Description: public modules for mypy (Python 3)
  Add type annotations to your Python programs, and use mypy to type check them.
  Mypy is essentially a Python linter on steroids, and it can catch many

=== debian/tests/control ===
Tests: run-unit-test
Depends: mypy, python3-typeshed, python3-pytest-xdist, python3-virtualenv, python3-lxml
Restrictions: allow-stderr

## mypy 0.960

=== debian/changelog ===
mypy (0.960-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Refresh patches
  * Skip the furo docs theme; it is no packaged yet for Debian.
  * debian/copyright: remove unused entries

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 02 Jun 2022 15:10:28 +0200

## mypy 0.961

=== debian/changelog ===
mypy (0.961-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 06 Jun 2022 21:29:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mypy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: utils
 Testsuite: autopkgtest-pkg-python
@@ -30,7 +29,7 @@
                python-six-doc <!nodoc>,
                python-setuptools-doc <!nodoc>,
                python-attr-doc <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
 Homepage: http://www.mypy-lang.org/

## mypy 0.971

=== debian/changelog ===
mypy (0.971-4) unstable; urgency=medium

  * Team upload.
  * Patch: sleep() in mypyc test suite to avoid races and fix FTBFS on s390x.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Sep 2022 17:18:20 +0200

mypy (0.971-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Stop skipping tests.

  [ Stefano Rivera ]
  * Team upload.
  * Depend on python3-setuptools for autopkgtest, no longer a dependency of
    python3-virtualenv.
  * Recommend python3-setuptools, required by mypyc.
  * Refresh PQ patches.
  * Patch: Python 3.10.7 support.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Sep 2022 12:36:51 +0200

mypy (0.971-2) unstable; urgency=medium

  * debian/rules: Only run the tests for arch-dependent builds
  * debian/patches/intersphinx: update patch for "six" links

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 17 Aug 2022 15:14:24 +0200

mypy (0.971-1) unstable; urgency=medium

  * New upstream version
  * debian/clean: add additional directories & files
  * debian/patches/walrus.patch: cherry-pick patch from upstream to fix the
    walrus tests. Closes: #1017145, #1017312

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Aug 2022 14:41:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               python3-setuptools,
+               pybuild-plugin-pyproject,
+               python3-wheel,
                flake8,
                help2man,
                python3-all,
                python3-lxml,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-cov <!nocheck>,
-               python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typed-ast,
@@ -85,7 +87,7 @@
          python3-psutil,
          python3-distutils,
          python3-pkg-resources
-Recommends: python3-lxml
+Recommends: python3-lxml, python3-setuptools
 Description: public modules for mypy (Python 3)
  Add type annotations to your Python programs, and use mypy to type check them.
  Mypy is essentially a Python linter on steroids, and it can catch many

=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,7 @@
 endif
 
 override_dh_auto_build-indep: manpages
+	MYPY_USE_MYPYC=0 dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
 endif
@@ -70,7 +71,7 @@
 	dh_movefiles --package=mypy --sourcedir=debian/python3-mypy usr/bin
 	rm -Rf debian/python3-mypy/usr/bin
 
-override_dh_auto_test:
+override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
 	export TEST_MYPYC=1
 	PYBUILD_SYSTEM=custom \
@@ -80,9 +81,11 @@
 	set -e; for v in $(PY3VERS); do \
 		PYTHONPATH=$$(pybuild --print build_dir --pyver $$v | awk '{ print $$3 }') PATH=$$PATH:$(CURDIR)/debian/python3-mypy/usr/bin/ python$$v -m pytest -n auto \
 		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py \
-		-k "not (StubtestMiscUnit or StubtestUnit)" \
 		-o python_classes= -o python_functions= ; \
 	done
 endif
 
+override_dh_auto_test-indep:
+	echo No tests to run for the "mypy" package, only for "python3-mypy"
+
 .PHONY: manpages

=== debian/tests/control ===
Tests: run-unit-test
Depends: gcc,
         mypy,
         python3-dev,
         python3-lxml,
         python3-pytest-xdist,
         python3-setuptools,
         python3-typeshed,
         python3-virtualenv
Restrictions: allow-stderr

## mypy 0.990

=== debian/changelog ===
mypy (0.990-1) unstable; urgency=medium

  * New upstream version
  * Remove debian/patches/psutils-in-typeshed as it is no longer needed.
    All other patches refreshed.
  * d/control: Need newer typeshed for the selftests.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 08 Nov 2022 15:33:50 +0100

mypy (0.982-2) unstable; urgency=medium

  * Team upload

  [ Jochen Sprickerhof ]
  * d/control: Drop unused dependency on python3-typed-ast
    This dependency is only required for Python < 3.8.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Oct 2022 23:39:29 +0200

mypy (0.982-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 04 Oct 2022 10:29:51 +0200

mypy (0.981-2) unstable; urgency=medium

  * d/control: this release breaks older releases of the dataclasses-
    json Python package.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 02 Oct 2022 12:53:41 +0200

mypy (0.981-1) unstable; urgency=medium

  * New upstream version
  * removed 4 patches applied upstream; refreshed the rest.
  * python3.10-venv is now needed for the tests
  * debian/rules: skip testCustomTypeshedDirWithRelativePathDoesNotCrash

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 29 Sep 2022 11:52:42 +0200

=== debian/control ===
--- 
+++ 
@@ -17,15 +17,15 @@
                python3-pytest-cov <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-typed-ast,
-               python3-typed-ast (<< 1.5.0),
                python3-typeshed,
                python3-psutil,
                python3-mypy-extensions,
                python3-typing-extensions,
                python3-virtualenv <!nocheck>,
+               python3-typeshed (>= 0.0~git20221107.4f381af) <!nocheck>,
                python3-all-dev,
                python3-tomli,
+               python3.10-venv <!nocheck>,
                python3-doc <!nodoc>,
                cython-doc <!nodoc>,
                python-six-doc <!nodoc>,
@@ -42,10 +42,10 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-mypy (>= ${binary:Version})
+Recommends: python3-typeshed
 Suggests: mypy-doc
 Breaks: python3-mypy (= 0.740-1)
 Replaces: python3-mypy (= 0.740-1)
-Recommends: python3-typeshed
 Description: optional static typing for Python
  Add type annotations to your Python programs, and use mypy to type check them.
  Mypy is essentially a Python linter on steroids, and it can catch many
@@ -82,12 +82,12 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-typed-ast,
          python3-mypy-extensions,
          python3-psutil,
          python3-distutils,
          python3-pkg-resources
-Recommends: python3-lxml, python3-setuptools
+Recommends: python3-lxml,
+            python3-setuptools
 Description: public modules for mypy (Python 3)
  Add type annotations to your Python programs, and use mypy to type check them.
  Mypy is essentially a Python linter on steroids, and it can catch many

=== debian/rules ===
--- 
+++ 
@@ -80,7 +80,7 @@
 	dh_auto_install
 	set -e; for v in $(PY3VERS); do \
 		PYTHONPATH=$$(pybuild --print build_dir --pyver $$v | awk '{ print $$3 }') PATH=$$PATH:$(CURDIR)/debian/python3-mypy/usr/bin/ python$$v -m pytest -n auto \
-		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py \
+		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py -k 'not testCustomTypeshedDirWithRelativePathDoesNotCrash' \
 		-o python_classes= -o python_functions= ; \
 	done
 endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: gcc,
         @,
         python3-dev,
         python3-lxml,
         python3-pytest-xdist,
         python3-setuptools,
         python3-typeshed (>= 0.0~git20221107.4f381af),
         python3-virtualenv
Restrictions: allow-stderr

## mypy 0.991

=== debian/changelog ===
mypy (0.991-2) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3.10-venv

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Feb 2023 16:19:50 +0100

mypy (0.991-1) unstable; urgency=medium

  * New upstream version
  * Also need python3.11-venv

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 16 Nov 2022 14:05:35 +0100

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                python3-mypy-extensions,
                python3-typing-extensions,
                python3-virtualenv <!nocheck>,
-               python3-typeshed (>= 0.0~git20221107.4f381af) <!nocheck>,
+               python3-typeshed <!nocheck>,
                python3-all-dev,
                python3-tomli,
-               python3.10-venv <!nocheck>,
+               python3.11-venv <!nocheck>,
                python3-doc <!nodoc>,
                cython-doc <!nodoc>,
                python-six-doc <!nodoc>,
@@ -57,6 +57,7 @@
 
 Package: mypy-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}

## mypy 1.0.0

=== debian/changelog ===
mypy (1.0.0-1) unstable; urgency=medium

  * Add patch to fix test for 32-bit systems, cherry-picked from upstream. 

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Feb 2023 00:24:00 +0100

mypy (1.0.0-1~0exp1) experimental; urgency=medium

  * Revert: Try the same level of optimization on all archs.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Feb 2023 13:22:02 +0100

mypy (1.0.0-1~0exp) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2 (routine-update)
  * Use secure URI in Homepage field.
  * d/control: Build-Depend on the generic python3-venv.
  * Try the same level of optimization on all archs.
  * d/control: remove unused dependency on distutils.
  * d/source/lintian-overrides: ignore false positives about distutils.
  * d/control: build-dep on furo; drop patch to use the standard sphinx
    theme.
  * d/tests/control: tests need python3-tomli

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 09 Feb 2023 18:55:44 +0100

## mypy 1.0.1

=== debian/changelog ===
mypy (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Drop the cherry-picked 32-bits.patch, it is part of the new release.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 24 Feb 2023 12:56:47 +0100

mypy (0.991-3) unstable; urgency=medium

  * Team upload.
  * Add a Depends on python3-tomli for the autopkgtest, so it can run on
    Python 3.11, and test all branches.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 13 Feb 2023 08:05:19 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-pytest-xdist <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
+               furo <!nodoc>,
                python3-typeshed,
                python3-psutil,
                python3-mypy-extensions,
@@ -25,16 +25,16 @@
                python3-typeshed <!nocheck>,
                python3-all-dev,
                python3-tomli,
-               python3.11-venv <!nocheck>,
+               python3-venv <!nocheck>,
                python3-doc <!nodoc>,
                cython-doc <!nodoc>,
                python-six-doc <!nodoc>,
                python-setuptools-doc <!nodoc>,
                python-attr-doc <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
-Homepage: http://www.mypy-lang.org/
+Homepage: https://www.mypy-lang.org/
 Rules-Requires-Root: no
 
 Package: mypy
@@ -85,7 +85,6 @@
          ${shlibs:Depends},
          python3-mypy-extensions,
          python3-psutil,
-         python3-distutils,
          python3-pkg-resources
 Recommends: python3-lxml,
             python3-setuptools

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	sed -n -e '/stubgen --help/,$$ {/stubgen --help/d; p}' $< > $@
 
 override_dh_auto_build-arch:
-ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el mipsel alpha ia64 m68k powerpc riscv64 sh4 sparc64))
+ifneq (,$(filter $(DEB_BUILD_ARCH), mips64el mipsel alpha ia64 m68k powerpc riscv64 sh4 sparc64))
 	MYPY_USE_MYPYC=0 dh_auto_build
 else
 	MYPY_USE_MYPYC=1 dh_auto_build

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
          python3-lxml,
          python3-pytest-xdist,
          python3-setuptools,
+         python3-tomli,
          python3-typeshed (>= 0.0~git20221107.4f381af),
          python3-virtualenv
 Restrictions: allow-stderr

## mypy 1.5.0

=== debian/changelog ===
mypy (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.5.0 (Closes: #1042039)
    - Refresh patches
    - Build-Depend on python3-attr

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 11 Aug 2023 13:05:43 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                help2man,
                python3-all,
                python3-lxml,
+               python3-attr <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-sphinx <!nodoc>,

## mypy 1.5.1

=== debian/changelog ===
mypy (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/source/lintian-overrides: update to match changes in upstream
  * d/rules: skip the PEP561Suite tests which require internet access

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 16 Aug 2023 19:44:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	WITH += ,sphinxdoc
+	WITH += --with sphinxdoc
 endif
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
@@ -21,7 +21,7 @@
 
 
 %:
-	dh $@ --with python3$(WITH) --buildsystem=pybuild
+	dh $@ $(WITH) --buildsystem=pybuild
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 manpages: debian/sphinx/mypy_options.rst debian/sphinx/stubgen_options.rst debian/dmypy.1 debian/mypy.1 debian/stubgen.1
@@ -80,7 +80,7 @@
 	dh_auto_install
 	set -e; for v in $(PY3VERS); do \
 		PYTHONPATH=$$(pybuild --print build_dir --pyver $$v | awk '{ print $$3 }') PATH=$$PATH:$(CURDIR)/debian/python3-mypy/usr/bin/ python$$v -m pytest -n auto \
-		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py -k 'not testCustomTypeshedDirWithRelativePathDoesNotCrash' \
+		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py -k 'not (testCustomTypeshedDirWithRelativePathDoesNotCrash or PEP561Suite)' \
 		-o python_classes= -o python_functions= ; \
 	done
 endif

## mypy 1.6.0

=== debian/changelog ===
mypy (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop upstreamed patch for python3.10.3
  * d/rules: remove skip of PEP561Suite

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 11 Oct 2023 12:10:28 +0200

mypy (1.5.1-2) unstable; urgency=medium

  * Demote armel/armhf to "-O2".

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 18 Aug 2023 15:04:32 +0200

## mypy 1.6.1

=== debian/changelog ===
mypy (1.6.1-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:50:01 +0100

mypy (1.6.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 30 Oct 2023 20:22:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/default.mk
 
-ifneq (,$(filter $(DEB_BUILD_ARCH),hppa))
+ifneq (,$(filter $(DEB_BUILD_ARCH),hppa armel armhf))
   export MYPYC_OPT_LEVEL=2
 else ifeq ($(DEB_HOST_ARCH_BITS), 32)
   export DEB_CFLAGS_MAINT_APPEND += -g1
@@ -80,7 +80,7 @@
 	dh_auto_install
 	set -e; for v in $(PY3VERS); do \
 		PYTHONPATH=$$(pybuild --print build_dir --pyver $$v | awk '{ print $$3 }') PATH=$$PATH:$(CURDIR)/debian/python3-mypy/usr/bin/ python$$v -m pytest -n auto \
-		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py -k 'not (testCustomTypeshedDirWithRelativePathDoesNotCrash or PEP561Suite)' \
+		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py -k 'not (testCustomTypeshedDirWithRelativePathDoesNotCrash)' \
 		-o python_classes= -o python_functions= ; \
 	done
 endif
